Name:           python-manuel
Version:        1.12.4
Release:    4%{?dist}
Summary:        Build tested documentation

License:        Apache-2.0 AND BSD-3-Clause AND BSD-2-Clause AND MIT
URL:            https://pypi.python.org/pypi/manuel
Source0:        https://github.com/benji-york/manuel/archive/%{version}/manuel-%{version}.tar.gz
Patch0:         %{name}-test.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  %{py3_dist myst-parser}
BuildRequires:  %{py3_dist sphinx}
BuildRequires:  %{py3_dist sphinx-copybutton}

%description
Manuel lets you mix and match traditional doctests with custom test
syntax.  Several plug-ins are included that provide new test syntax.
You can also create your own plug-ins.

%package -n python3-manuel
Summary:        Build tested documentation
Provides:       bundled(js-jquery)

%description -n python3-manuel
Manuel lets you mix and match traditional doctests with custom test
syntax.  Several plug-ins are included that provide new test syntax.
You can also create your own plug-ins.

%prep
%autosetup -n manuel-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -x tests

%build
%pyproject_wheel
sphinx-build -c sphinx src/manuel docs
rm -fr docs/.buildinfo docs/.doctrees

rst2html --no-datestamp CHANGES.rst CHANGES.html

%install
%pyproject_install
%pyproject_save_files manuel

%check
export PYTHONPATH=$PWD/build/lib
cp -p src/manuel/myst-markdown.md build/lib/manuel
%{python3} -m unittest manuel.tests.test_suite

%files -n python3-manuel -f %{pyproject_files}
%doc CHANGES.html docs/*
%license COPYRIGHT.rst

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.12.4-4
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.12.4-3
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.12.4-2
- Rebuilt for loongarch64

* Mon Jul 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12.4-1
- initial build
